#!/bin/csh -f
if ( $1 != "local" && $1 != "Fac" && $1 != "StbFac" && $1 != "server" && $1 != "proxy0" && $1 != "proxy" ) then
  echo "Usage: $0 (local|Fac|StbFac|server|proxy0|proxy) (stdout|file)"
  exit 1
endif
if ( $2 != "stdout" && $2 != "file" ) then
  echo "Usage: $0 (local|Fac|StbFac|server|proxy0|proxy) (stdout|file)"
  exit 1
endif

set conn = $1
set cout = $2
shift
shift

set dir=`dirname $0`
pushd $dir > /dev/null

# Environment from CORAL_SERVER/cmt
pushd ../../cmt > /dev/null
source setup.csh > /dev/null
set lcgVersion=`cmt show macro_value LCG_config_version`
###set lcgVersion2=`python -c "print '$lcgVersion'[:2]"`
###echo "Two-digit LCG version: $lcgVersion2"
popd > /dev/null

if ( $cout == "stdout" ) then
  set file = /dev/stdout
else
  set file = `pwd`/../logs/allTests_${conn}.txt
  ###if ( "$lcgVersion2" == "xx" ) then
  ###  set file = `pwd`/../logs.LCGxx/allTests_${conn}.txt
  ###endif
  echo "Output file:" $file
endif

set sess = "1ses 2ses 2sesAll"
set defs = "defOut noDefOut"

setenv CORALSERVER_DEBUG 1
###setenv CORALSTUBS_DEBUG 1
setenv CORALSOCKETS_DEBUG 1

setenv COOL_MSGLEVEL error
setenv CORAL_MSGLEVEL error
###setenv COOL_MSGLEVEL verbose
###setenv CORAL_MSGLEVEL verbose
setenv COOL_MESSAGEREPORTER_FORMATTED 1
setenv CORAL_MESSAGEREPORTER_FORMATTED 1

unsetenv CORALSTUBS_NEVERCACHEABLE
if ( "$conn" == "proxy0" ) then
  set conn = proxy
  setenv CORALSTUBS_NEVERCACHEABLE 1
endif

date > $file
pushd ../cmt > /dev/null
echo "CMTCONFIG is $CMTCONFIG" >> $file
echo "Using LCG:    "`cmt show macro_value LCG_config_version` >> $file
echo "Using LCGCMT: "`cmt show macro_value LCGCMT_home` >> $file
echo "Using Boost:  "`cmt show macro_value Boost_home` >> $file
echo "Using Python: "`cmt show macro_value Python_home` >> $file
echo "Using SEAL:   "`cmt show macro_value SEAL_home` >> $file
echo "Using CORAL:  "`cmt show macro_value CORAL_home` >> $file
echo "Using ROOT:   "`cmt show macro_value ROOT_home` >> $file
echo "Using COOL:   "`cmt show macro_value COOL_home` >> $file
popd > /dev/null
echo "*******************************************************************" >> $file
foreach ses ( $sess )
  foreach def ( $defs )
    echo python testCoralServer.py $conn $ses $def >> $file 
    /usr/bin/time -ao/dev/stdout -f"=== TIMER (CLIENT) %Uuser %Ssystem %eelapsed %PCPU" python testCoralServer.py $conn $ses $def >> $file 
    echo "*******************************************************************" >> $file 
  end
end

popd > /dev/null
