#!/bin/csh -f
if ( $1 != "stdout" && $1 != "fileProxy0" && $1 != "fileProxy" ) then
  echo "Usage: $0 (stdout|fileProxy0|fileProxy)"
  exit 1
endif

set cout = $1
shift

set dir=`dirname $0`
pushd $dir > /dev/null

# Environment from CORAL_SERVER/cmt
pushd ../../cmt > /dev/null 
source setup.csh > /dev/null
set lcgVersion=`cmt show macro_value LCG_config_version`
###set lcgVersion2=`python -c "print '$lcgVersion'[:2]"`
###echo "Two-digit LCG version: $lcgVersion2"
popd > /dev/null

if ( $cout == "stdout" ) then
  set file = /dev/stdout
else
  if ( $cout == "fileServer" ) then
    set fileName = allTests_server.txt
  else if ( $cout == "fileProxy0" ) then
    set fileName = allTests_proxy0.txt
  else
    set fileName = allTests_proxy.txt
  endif
  set file = `pwd`/../logs/proxy/${fileName}
  ###if ( "$lcgVersion2" == "xx" ) then
  ###  set file = `pwd`/../logs.LCGxx/proxy/${fileName}
  ###endif
  echo "Output file:" $file
endif

#setenv CORALSERVER_DEBUG 1
#setenv CORALSTUBS_DEBUG 1
#setenv CORALSOCKETS_DEBUG 1

date > $file
pushd ../cmt > /dev/null
echo "CMTCONFIG is $CMTCONFIG" >> $file
echo "Using LCG:    "`cmt show macro_value LCG_config_version` >> $file
echo "Using LCGCMT: "`cmt show macro_value LCGCMT_home` >> $file
echo "Using Boost:  "`cmt show macro_value Boost_home` >> $file
echo "Using SEAL:   "`cmt show macro_value SEAL_home` >> $file
echo "Using CORAL:  "`cmt show macro_value CORAL_home` >> $file
echo "Using ROOT:   "`cmt show macro_value ROOT_home` >> $file
echo "Using COOL:   "`cmt show macro_value COOL_home` >> $file
popd > /dev/null
echo "*******************************************************************" >> $file
/usr/bin/time -ao/dev/stdout -f"=== TIMER (SPROXY) %Uuser %Ssystem %eelapsed %PCPU" coralServerProxy -p 40008 -s 40007 0.0.0.0 -v -v >> $file 
echo "*******************************************************************" >> $file 

popd > /dev/null
