#!/bin/csh -f
if ( $1 != "local" && $1 != "Fac" && $1 != "StbFac" && $1 != "server" && $1 != "proxy0" && $1 != "proxy" ) then
  echo "Usage: $0 (local|Fac|StbFac|server|proxy0|proxy) (stdout|file)"
  exit 1
endif
if ( $2 != "stdout" && $2 != "file" ) then
  echo "Usage: $0 (local|Fac|StbFac|server|proxy0|proxy) (stdout|file)"
  exit 1
endif

set conn = $1
set cout = $2
shift
shift

set dir=`dirname $0`
pushd $dir > /dev/null

# Environment from CORAL_SERVER/Tests/CoolRegression/cmt
pushd cmt > /dev/null
source setup.csh > /dev/null
set lcgVersion=`cmt show macro_value LCG_config_version`
###set lcgVersion2=`python -c "print '$lcgVersion'[:2]"`
###echo "Two-digit LCG version: $lcgVersion2"
set coolBase=`cmt show macro_value COOL_base`
if ( "${coolBase}" == "" ) then
  echo "ERROR! COOL installation not found"
  exit 1
###else
###  echo "COOL installation: ${coolBase}"
endif
popd > /dev/null

#unsetenv CORALACCESS_SETFROMPROXY
unsetenv CORALSTUBS_NEVERCACHEABLE
source setupTests.csh
if ( "$conn" == "local" ) then
  setenv COOLTESTDB $COOLTESTDBO_CS0
else if ( "$conn" == "Fac" ) then
  setenv COOLTESTDB $COOLTESTDBO_CS1
else if ( "$conn" == "StbFac" ) then
  setenv COOLTESTDB $COOLTESTDBO_CS2
else if ( "$conn" == "server" ) then
  setenv COOLTESTDB $COOLTESTDBO_CS3
else if ( "$conn" == "proxy0" ) then
  setenv CORALSTUBS_NEVERCACHEABLE 1
  setenv COOLTESTDB $COOLTESTDBO_CS4
else if ( "$conn" == "proxy" ) then
  setenv COOLTESTDB $COOLTESTDBO_CS4
else
  echo "ERROR! Unknown connection mode $conn"
  exit 1
endif
echo "COOLTESTDB: "$COOLTESTDB

if ( $cout == "stdout" ) then
  set file = /dev/stdout
else
  set file = `pwd`/logs/allTests_${conn}.txt
  ###if ( "$lcgVersion2" == "xx" ) then
  ###  set file = `pwd`/logs.LCGxx/allTests_${conn}.txt
  ###endif
  echo "Output file:" $file
endif

setenv CORALSERVER_DEBUG 1
###setenv CORALSTUBS_DEBUG 1
setenv CORALSOCKETS_DEBUG 1

setenv COOL_MSGLEVEL error
setenv CORAL_MSGLEVEL error
###setenv COOL_MSGLEVEL verbose
###setenv CORAL_MSGLEVEL verbose
setenv COOL_MESSAGEREPORTER_FORMATTED 1
setenv CORAL_MESSAGEREPORTER_FORMATTED 1

date > $file
pushd cmt > /dev/null
echo "CMTCONFIG is $CMTCONFIG" >> $file
echo "Using LCGCMT: "`cmt show macro_value LCGCMT_home` >> $file
echo "Using Boost:  "`cmt show macro_value Boost_home` >> $file
echo "Using SEAL:   "`cmt show macro_value SEAL_home` >> $file
echo "Using CORAL:  "`cmt show macro_value CORAL_home` >> $file
echo "Using ROOT:   "`cmt show macro_value ROOT_home` >> $file
echo "Using COOL:   "`cmt show macro_value COOL_home` >> $file
###setenv PYTHONPATHOLD $PYTHONPATH
###setenv PYTHONPATH ${coolBase}/src/PyCoolUtilities/python:$PYTHONPATHOLD
###echo "PYTHONPATH is $PYTHONPATH" >> $file
popd > /dev/null
echo "*******************************************************************" >> $file
# NB: Remember to re-create the database if needed (eg change COOL version!)
###python ${coolBase}/src/PyCoolUtilities/tests/Regression/createReferenceDb.py
if ( "$conn" == "local" ) then
  python ${coolBase}/src/PyCoolUtilities/tests/Regression/createReferenceDb.py >> $file
endif
set testName=testReferenceDb1RO.py
echo python ${coolBase}/src/PyCoolUtilities/tests/Regression/${testName} >> $file 
/usr/bin/time -ao/dev/stdout -f"=== TIMER (CLIENT) %Uuser %Ssystem %eelapsed %PCPU" python ${coolBase}/src/PyCoolUtilities/tests/Regression/${testName} >> $file 
echo "*******************************************************************" >> $file 

popd > /dev/null
