#!/bin/csh -f

if ( $1 != "stdout" && $1 != "file" ) then
  echo "Usage: $0 (stdout|file)"
  exit 1
endif

set cout = $1
shift

set dir=`dirname $0`
pushd $dir > /dev/null

time ./spawnAll.csh local $cout
time ./spawnAll.csh Fac $cout
time ./spawnAll.csh StbFac $cout
time ./spawnAll.csh server $cout
time ./spawnAll.csh proxy0 $cout
time ./spawnAll.csh proxy $cout
echo "-----------------------------------------------------------------------"

if ( "$cout" == "file" ) then
  foreach log ( `ls logs/*txt` )
    set noks=`grep -c OK $log`
    if ( $status == 0 && $noks == 1 ) then
      echo "OK: match OK in $log"
    else
      echo "*** ERROR! Wrong match in $log ($noks)"
    endif
    grep -H -i error $log
    if ( $status == 1 ) then
      echo "OK: no issue in $log"
    else
      echo "*** ERROR! Problems in $log"
    endif
  end
endif

popd > /dev/null

