#!/bin/csh -f
if ( $1 != "local" && $1 != "Fac" && $1 != "StbFac" && $1 != "server" && $1 != "proxy0" && $1 != "proxy" ) then
  echo "Usage: $0 (local|Fac|StbFac|server|proxy0|proxy) (stdout|file)"
  exit 1
endif
if ( $2 != "stdout" && $2 != "file" ) then
  echo "Usage: $0 (local|Fac|StbFac|server|proxy0|proxy) (stdout|file)"
  exit 1
endif

echo "-----------------------------------------------------------------------"
echo $0 $1 $2

set conn  = $1
set cout1 = $2
set cout2 = $2
shift
shift

if ( "$conn" == "local" || "$conn" == "Fac" || "$conn" == "StbFac" ) then
  set startServer = 0
  set startProxy  = 0
else if ( "$conn" == "server" ) then
  set startServer = 1
  set startProxy  = 0
  if ( "$cout2" == "file" ) set cout2 = "fileServer"
else if ( "$conn" == "proxy0" ) then
  set startServer = 1
  set startProxy  = 1
  if ( "$cout2" == "file" ) set cout2 = "fileProxy0"
else if ( "$conn" == "proxy" ) then
  set startServer = 1
  set startProxy  = 1
  if ( "$cout2" == "file" ) set cout2 = "fileProxy"
else
  echo "ERROR! Unknown connection mode $conn"
  exit 1
endif

set dir=`dirname $0`
pushd $dir > /dev/null

if ( $startServer == 1 ) then 
  ./startServer.csh $cout2 &
endif
if ( $startProxy == 1 ) then
  ./startProxy.csh $cout2 &
endif
./allTests.csh $conn $cout1
if ( $startProxy == 1 ) killall coralServerProxy
if ( $startServer == 1 ) killall coralServer

popd > /dev/null

