###export REL=15.0.1
export REL=15.2.0

if [ ! -e ATLAS_CMT_env.sh ]; then
  echo "ERROR! Please execute ATLAS_CMT_env.sh in its own directory"
  return 1
fi
export CORAL_SERVER_TESTS_HLT=`cd ..; pwd` # For macro ATLAS_TEST_AREA

unset CMTCONFIG
unset CMTPATH
unset CMTPROJECTATH
unset CMTSITE
unset CMTUSERCONTEXT

export AFS=/afs
export SITEROOT=$AFS/cern.ch
export CMTROOT=$SITEROOT/sw/contrib/CMT/v1r20p20081118
. $CMTROOT/mgr/setup.sh

if [ ! -f setup.sh ]; then 
  echo Execute 'cmt config'
  cmt config
fi

if [ ! -d ../testarea/$REL ]; then 
  ###echo Create directory `cd ..; pwd`/testarea/$REL
  ###mkdir -p `cd ..; pwd`/../testarea/$REL; 
  echo "ERROR! Directory `cd ..; pwd`/testarea/$REL does not exist"
  return 1
fi

dataFile=daq.lumi1E31.latest.data
if [ ! -f ../testarea/$REL/$dataFile ]; then 
  echo Link data file ../testarea/$REL/$dataFile
  ln -sf /afs/cern.ch/atlas/project/trigger/pesa-sw/releases/data/daq.lumi1E31.latest.data ../testarea/$REL
fi

oldPwd=`pwd`
pushd ../testarea/$REL > /dev/null
echo "*** Setup the ATLAS software environment"
. $oldPwd/setup.sh -tag=AtlasHLT,$REL,32
popd > /dev/null
