#!/bin/csh -f
if ( $1 != "stdout" && $1 != "fileServer" && $1 != "fileProxy" ) then
  echo "Usage: $0 (stdout|fileServer|fileProxy)"
  exit 1
endif

set cout = $1
shift

set dir=`dirname $0`
pushd $dir > /dev/null

# CMT environment from COOL if it exists
if ( -f ../../../../../config/cmt/CMT_env.csh ) then
  pushd ../../../../../config/cmt > /dev/null
  ###setenv CMTCONFIG slc4_amd64_gcc34_dbg
  setenv CMTCONFIG slc4_ia32_gcc34_dbg
  echo "Setup CMT environment using CMT_env.csh"
  source CMT_env.csh
  popd > /dev/null
else
  echo "WARNING! CMT_env.csh not found - assume CMT env is already set"
endif

# CORAL_SERVER environment from CORAL_SERVER/cmt
pushd ../../../../cmt > /dev/null
source setup.csh > /dev/null
set lcgVersion=`cmt show macro_value LCG_config_version`
###set lcgVersion2=`python -c "print '$lcgVersion'[:2]"`
###echo "Two-digit LCG version: $lcgVersion2"
popd > /dev/null

if ( $cout == "stdout" ) then
  set file = /dev/stdout
else
  if ( $cout == "fileServer" ) then
    set fileName = athenaMT_server.txt
  else
    set fileName = athenaMT_proxy.txt
  endif
  set file = `pwd`/logs/server/${fileName}
  ###if ( "$lcgVersion2" == "xx" ) then
  ###  set file = `pwd`/logs.LCGxx/server/${fileName}
  ###endif
  echo "Output file:" $file
endif

unsetenv CORALSERVER_ENABLECONNECTIONSHARING
unsetenv CORALSERVER_DEBUG
unsetenv CORALSTUBS_DEBUG
unsetenv CORALSOCKETS_DEBUG

###setenv CORALSERVER_ENABLECONNECTIONSHARING 1
setenv CORALSERVER_DEBUG 1
#setenv CORALSTUBS_DEBUG 1
setenv CORALSOCKETS_DEBUG 1

###setenv CORAL_MSGLEVEL error
setenv CORAL_MSGLEVEL verbose
setenv CORAL_MESSAGEREPORTER_FORMATTED 1

set monitorPeriod=0
###set monitorPeriod=1
setenv CORALSERVER_MONFILE /tmp/$USER/csm.txt

date > $file
pushd ../../../../cmt > /dev/null
echo "CMTCONFIG is $CMTCONFIG" >> $file
echo "Using LCG:    "`cmt show macro_value LCG_config_version` >> $file
echo "Using LCGCMT: "`cmt show macro_value LCGCMT_home` >> $file
echo "Using Boost:  "`cmt show macro_value Boost_home` >> $file
echo "Using SEAL:   "`cmt show macro_value SEAL_home` >> $file
echo "Using CORAL:  "`cmt show macro_value CORAL_home` >> $file
echo "Using ROOT:   "`cmt show macro_value ROOT_home` >> $file
echo "Using COOL:   "`cmt show macro_value COOL_home` >> $file
popd > /dev/null
setenv CORAL_DBLOOKUP_PATH `pwd`/dblookup/local
setenv CORAL_AUTH_PATH ${HOME}/private/athenaMT
echo "*******************************************************************" >> $file
/usr/bin/time -ao/dev/stdout -f"=== TIMER (SERVER) %Uuser %Ssystem %eelapsed %PCPU" coralServer 0.0.0.0 40007 1800 $monitorPeriod >> $file 
echo "*******************************************************************" >> $file 

popd > /dev/null
