#include "SessionProperties.h"
#include "ConnectionProperties.h"
#include "RelationalAccess/ISession.h"
#include "RelationalAccess/ITransaction.h"


coral::OracleAccess::SessionProperties::SessionProperties( coral::OracleAccess::ConnectionProperties& connectionProperties,
                                                           const std::string& schemaName,
                                                           coral::ISession& session,
                                                           bool readOnly ):
  m_connectionProperties( connectionProperties ),
  m_connectionString( connectionProperties.connectionString() ),
  m_typeConverter( connectionProperties.typeConverter() ),
  m_environmentHandle( connectionProperties.environmentHandle() ),
  m_errorHandle( connectionProperties.errorHandle() ),
  m_serverHandle( connectionProperties.serverHandle() ),
  m_serverVersion( connectionProperties.serverVersion() ),
  m_session( session ),
  m_serviceContextHandle( 0 ),
  m_monitoringService( 0 ),
  m_schemaName( schemaName ),
  m_isReadOnly( readOnly ),
  m_mutex()
{}


const coral::OracleAccess::DomainProperties&
coral::OracleAccess::SessionProperties::domainProperties() const
{
  return m_connectionProperties.domainProperties();
}


coral::ISchema&
coral::OracleAccess::SessionProperties::schema() const
{
  return m_session.nominalSchema();
}


bool
coral::OracleAccess::SessionProperties::isTransactionActive() const
{
  return m_session.transaction().isActive();
}
