#include "ConnectionProperties.h"
#include "DomainProperties.h"
#include "TypeConverter.h"

#include "CppMutexFct.h"

coral::SQLiteAccess::ConnectionProperties::ConnectionProperties( const DomainProperties& domainProperties, const std::string& connectionString )
  : m_domainProperties( domainProperties )
  , m_connectionString( connectionString )
  , m_typeConverter( new coral::SQLiteAccess::TypeConverter( m_domainProperties ) )
  , m_isReadOnly( false )
  , m_mutex( domainProperties.mutex() )
{
}

coral::SQLiteAccess::ConnectionProperties::~ConnectionProperties()
{
  delete m_typeConverter;
}

coral::ITypeConverter&
coral::SQLiteAccess::ConnectionProperties::typeConverter()
{
  return *m_typeConverter;
}

const coral::ITypeConverter&
coral::SQLiteAccess::ConnectionProperties::typeConverter() const
{
  return *m_typeConverter;
}
