#ifndef SQLITEACCESS_DOMAIN_PROPERTIES_H
#define SQLITEACCESS_DOMAIN_PROPERTIES_H

#include <string>

#include "CppMutex.h"

namespace coral
{
  class Service;
}

namespace coral
{

  namespace SQLiteAccess
  {

    /**
     * A simple class holding the global domain properties
     */

    class DomainProperties
    {
      public:
        /// Constructor
        explicit DomainProperties( coral::Service* service );

        /// Destructor
        ~DomainProperties();

        /// Returns the pointer to the service
        coral::Service* service() const;
        
        pmutex_t* mutex() const { return m_mutex; };


      private:
        /// The pointer to the service
        coral::Service*       m_service;
        
        pmutex_t* m_mutex;

    };
  }
}


inline coral::Service*
coral::SQLiteAccess::DomainProperties::service() const
{
  return m_service;
}

#endif
